function [maska_st0,maska_st15,maska_st30,maska_st45,maska_st60,maska_st75,maska_st90,maska_st105,maska_st120,maska_st135,maska_st150,maska_st165] = cevy2()

sigma=25/3; %pro středně tlusté cévy !!
vektor=50/3; %velikost vektoru, která je volitelná - z toho vel. masky 
x=[-vektor:1:vektor]; %Definování počtu vzorků použitých při výpočtu
y=exp(-(x.*x)/(2*sigma*sigma)); %Gauss. křivka - x volitelné. 
y=max(y)-y; %převrácení paraboly
y=y-mean(y); %Zarovnání křivky na střední hodnotu
velikost_y = length(y);
y0=repmat(y,velikost_y,1); %roztažení y do "masky" 

maska_st0=zeros(velikost_y+28,velikost_y+28);%velikost masky, zvětšení z důvodu rotace

   for i=1:velikost_y
       for j=1:velikost_y
        maska_st0(i+14,j+14)=y0(i,j); %%vložení masky do maskastr0 -> kolem nuly 
       end
   end
%zisk masek 0-165° pro středně tlusté cévy
for k=90:15:165
    maska{k+15}=imrotate(maska_st0,k,'bicubic','crop'); 
end
for k=90:-15:0
    maska{k+15}=imrotate(maska_st0,k,'bicubic','crop'); 
end
maska_st90=maska{15};
maska_st105=maska{30};
maska_st120=maska{45};
maska_st135=maska{60};
maska_st150=maska{75};
maska_st165=maska{90};
maska_st0=maska{105};
maska_st15=maska{120};
maska_st30=maska{135};
maska_st45=maska{150};
maska_st60=maska{165};
maska_st75=maska{180}; 

% figure
% subplot(261)
% imshow(maska_st0,[])
% title('0°')
% subplot(262)
% imshow(maska_st15,[])
% title('15°')
% subplot(263)
% imshow(maska_st30,[])
% title('30°')
% subplot(264)
% imshow(maska_st45,[])
% title('45°')
% subplot(265)
% imshow(maska_st60,[])
% title('60°')
% subplot(266)
% imshow(maska_st75,[])
% title('75°')
% subplot(267)
% imshow(maska_st90,[])
% title('90')
% subplot(268)
% imshow(maska_st105,[])
% title('105°')
% subplot(269)
% imshow(maska_st120,[])
% title('120°')
% subplot(2,6,10)
% imshow(maska_st135,[])
% title('135°')
% subplot(2,6,11)
% imshow(maska_st150,[])
% title('150°')
% subplot(2,6,12)
% imshow(maska_st165,[])
% title('165°')
% sgtitle('masky filtru pro středně tlusté cévy') 
% 
% figure
% imshow(maska_st0,[])

end

